UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Types | Public Member Functions | Protected Member Functions | List of all members
uhd::usrp::dboard_base Class Reference

`#include <dboard_base.hpp>`

Inheritance diagram for uhd::usrp::dboard_base:

## Public Types
typedef boost::shared_ptr < dboard_base > | sptr
typedef void * | ctor_args_t

## Public Member Functions
| dboard_base (ctor_args_t)

## Protected Member Functions
std::string | get_subdev_name (void)
dboard_iface::sptr | get_iface (void)
dboard_id_t | get_rx_id (void)
dboard_id_t | get_tx_id (void)
property_tree::sptr | get_rx_subtree (void)
property_tree::sptr | get_tx_subtree (void)

## Detailed Description

A daughter board dboard_base class for all dboards. Only other dboard dboard_base classes should inherit this.

## Member Typedef Documentation

typedef void* uhd::usrp::dboard_base::ctor_args_t

An opaque type for the dboard constructor args. Derived classes should pass the args into the base class, but should not deal with the internals of the args.

typedef boost::shared_ptr<dboard_base> uhd::usrp::dboard_base::sptr

## Constructor & Destructor Documentation

uhd::usrp::dboard_base::dboard_base | ( | ctor_args_t |  | ) |

## Member Function Documentation

dboard_iface::sptr uhd::usrp::dboard_base::get_iface | ( | void |  | ) |
| protected

dboard_id_t uhd::usrp::dboard_base::get_rx_id | ( | void |  | ) |
| protected

property_tree::sptr uhd::usrp::dboard_base::get_rx_subtree | ( | void |  | ) |
| protected

std::string uhd::usrp::dboard_base::get_subdev_name | ( | void |  | ) |
| protected

dboard_id_t uhd::usrp::dboard_base::get_tx_id | ( | void |  | ) |
| protected

property_tree::sptr uhd::usrp::dboard_base::get_tx_subtree | ( | void |  | ) |
| protected

The documentation for this class was generated from the following file:

- include/uhd/usrp/dboard_base.hpp